Download it now!
Bug 123194 - Add option to save as Word 2007-2019 Template
Summary: Add option to save as Word 2007-2019 Template
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Templates DOCX
  Show dependency treegraph
 
Reported: 2019-02-05 16:32 UTC by Aron Budea
Modified: 2019-07-19 14:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-02-05 16:32:15 UTC
In Writer's save dialog's dropdown there's no entry for Word 2007-2019 Template format. Recently (after 6.2) an Office Open XML Text Template entry has been added, but an entry for a Word 2007-2019 one is still missing.

DOTX save was added with the following commit. Vasily, do you think the corresponding entry/format (I don't know what exactly is missing) could be added here easily?

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0932e4bb9a4e4a25be092dcf87a0119d1894ac30
author		Vasily Melenchuk <vasily.melenchuk@cib.de>	2018-12-11 19:47:25 +0300
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2018-12-14 11:42:44 +0100

sw: support for saving into .dotx file
Comment 1 Dieter 2019-02-06 08:45:41 UTC
I confirm, that this option is missing I can't imagine, that anybody is against this enhancement => NEW
Comment 2 Commit Notification 2019-02-06 13:32:13 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1ae50279d800f16d38a6bf88c63c6fd14fbd6717%5E%21

tdf#123194: sw: change used filter for .dotx export

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Vasily Melenchuk (CIB) 2019-02-06 13:34:43 UTC
Agree, I've fixed this issue. Instead of "Office Open XML Text Template" right now "Word 2007-2019 Template" should be visible during export.
Comment 4 Dieter 2019-07-19 14:35:45 UTC
Verified with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

Thanks for fixing it, Vasily.